import mtoa.ui.ae.templates as templates

class Bs_TdeLensTemplate(templates.AttributeTemplate):
    def setup(self):
        self.addControl("aiDistort")
        self.addControl("aiModel", label="Distortion Model", annotation="0: Classic LD Model\n1: Radial - Standard, Degree 4\n2: Radial - Fisheye, Degree 8\n3: Anamorphic, Degree 6, available only with Distortion File")
        self.addControl("aiDistortionFile", label="Distortion File", annotation="A distortion file or file sequence with PrameterName/value pairs" )
        self.addSeparator()
        self.addControl("aiDistortion")
        self.addControl("aiAnamorphicSqueeze")
        self.addControl("aiXCurvature", label = "Curvature X")
        self.addControl("aiYCurvature", label = "Curvature Y")
        self.addControl("aiQuarticDist", label = "Quartic Distortion")
        self.addSeparator()
        self.addControl("aiDistortionDegree2", label = "Distortion - Degree 2")
        self.addControl("aiUDegree2", label = "U - Degree 2")
        self.addControl("aiVDegree2", label = "V - Degree 2")
        self.addControl("aiQuarticDegree4", label = "Quartic Distortion - Degree 4")
        self.addControl("aiUDegree4", label = "U - Degree 4")
        self.addControl("aiVDegree4", label = "V - Degree 4")
        self.addSeparator()
        self.addControl("aiDistortionDegree2", label = "Distortion - Degree 2")
        self.addControl("aiQuarticDegree4", label = "Quartic Distortion - Degree 4")
        self.addControl("aiDegree6", label = "Degree 6")
        self.addControl("aiDegree8", label = "Degree 8")
        self.addSeparator()
        self.addControl("aiFocalLength", label = "Focal Length mm")
        self.addControl("aiFilmBackW", label = "Filmback Width \"")
        self.addControl("aiFilmBackH", label = "Filmback Height \"")
        self.addControl("aiXOffset", label = "Lens Offset X \"")
        self.addControl("aiYOffset", label = "Lens Offset Y \"")

templates.registerTranslatorUI(Bs_TdeLensTemplate, "camera", "bs_tdeLens")

